// @flow

import React from 'react'
import { ThemeProvider } from 'react-css-themr'
import Template from 'components/Template'
import BaseArticle from 'components/Article'

import { navItems, languages, footer, copyright } from '../../sample-data/connected.yml'
import article from '../../sample-data/article.json'
import theme from './theme.yml'

const Article = () => (
  <ThemeProvider theme={theme}>
    <Template
      items={navItems}
      languages={languages}
      footer={footer}
      copyright={copyright}
      theme={{ bodyWrapper: 'pt5' }}
    >
      <BaseArticle post={article} />
    </Template>
  </ThemeProvider>
)

export default Article
