// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'

export const defaultStyles = {
  root: '',
  image: 'h4 w4',
  title: 'f4',
  description: '',
}

const StandardItem = ({
  item: { image, title, description },
  className,
  theme,
}: {
  item: Item,
  className?: string,
  theme: { [key: string]: string },
}) => (
  <div className={cn('flex flex-column items-center', className, theme.root)}>
    <img className={cn('image', theme.image)} src={image} alt={title} />
    <div className={theme.title}>{title}</div>
    <div className={theme.description}>{description}</div>
  </div>
)

StandardItem.defaultProps = {
  className: null,
}

export default themr('StandardItem', {}, { composeTheme: 'softly' })(StandardItem)
