// @flow

import React from 'react'
import StatItem from 'components/StatItem'

const Stats = ({
  data,
  childrenTheme = {},
  className,
  itemClassName,
}: {
  data: Array<TStatItem>,
  childrenTheme?: { [key: string]: string},
  className?: string,
  itemClassName?: string,
}) => (
  <div className={className}>
    {data.map(item => (
      <div key={item.title} className={itemClassName}>
        <StatItem item={item} theme={childrenTheme} />
      </div>
    ))}
  </div>
)

Stats.defaultProps = {
  className: undefined,
  itemClassName: undefined,
  childrenTheme: {},
}

export default Stats
