'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPlace = getPlace;
exports.getDirection = getDirection;
function getPlace(placeId) {
  var geocoder = new window.google.maps.Geocoder();
  return new Promise(function (resolve, reject) {
    geocoder.geocode({ placeId: placeId }, function (results, status) {
      if (status === 'OK') {
        resolve(results);
      } else {
        reject('Geocoder failed due to: ' + status);
      }
    });
  });
}

function getDirection(_ref) {
  var origin = _ref.origin,
      destination = _ref.destination,
      _ref$travelMode = _ref.travelMode,
      travelMode = _ref$travelMode === undefined ? window.google.maps.TravelMode.DRIVING : _ref$travelMode;

  var directions = new window.google.maps.DirectionsService();
  return new Promise(function (resolve, reject) {
    directions.route({
      origin: origin,
      destination: destination,
      travelMode: travelMode
    }, function (result, status) {
      if (status === window.google.maps.DirectionsStatus.OK) {
        resolve(result);
      } else {
        reject('error fetching directions ' + result);
      }
    });
  });
}