'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash.merge');

var _lodash2 = _interopRequireDefault(_lodash);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactProgressiveImage = require('react-progressive-image');

var _reactProgressiveImage2 = _interopRequireDefault(_reactProgressiveImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: 'aspect-ratio--3x4 aspect-ratio--4x3-m aspect-ratio--16x9-l',
  body: 'flex items-center justify-center'
};

var Hero = function Hero(_ref) {
  var children = _ref.children,
      image = _ref.image,
      smallImage = _ref.smallImage,
      videos = _ref.videos,
      overlayColor = _ref.overlayColor,
      theme = _ref.theme,
      overrideTheme = _ref.overrideTheme;

  var _theme = (0, _lodash2.default)(theme, overrideTheme);
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('relative w-100', _theme.root) },
    _react2.default.createElement(
      _reactProgressiveImage2.default,
      { src: image, placeholder: smallImage },
      function (src) {
        return _react2.default.createElement('div', {
          style: !image ? {} : {
            background: 'linear-gradient(' + overlayColor + ', ' + overlayColor + '), url(' + src + ')'
          },
          className: (0, _classnames2.default)('absolute aspect-ratio--object cover')
        });
      }
    ),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('absolute aspect-ratio--object overflow-y-hidden dn flex-l items-center-l') },
      videos.length > 0 && _react2.default.createElement(
        'video',
        {
          className: 'z-0 w-100',
          playsInline: true,
          autoPlay: true,
          muted: true,
          loop: true,
          poster: image
        },
        videos.map(function (video) {
          return _react2.default.createElement('source', { key: video, src: video, type: 'video/mp4' });
        })
      )
    ),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('absolute aspect-ratio--object', _theme.container) },
      children
    )
  );
};

Hero.defaultProps = {
  overlayColor: 'rgba(0, 0, 0, 0)',
  image: null,
  smallImage: null
};

Hero.defaultProps = {
  children: null,
  className: null,
  backgroundImage: null,
  overlayColor: 'rgba(0, 0, 0, 0)',
  videos: []
};

exports.default = (0, _reactCssThemr.themr)('Hero', {}, { composeTheme: 'softly' })(Hero);