'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Link = function Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      isScroll = _ref.isScroll,
      className = _ref.className,
      theme = _ref.theme,
      props = _objectWithoutProperties(_ref, ['to', 'children', 'isScroll', 'className', 'theme']);

  var BaseLink = (0, _config.getLinkComponent)();
  var linkProps = _extends({
    'data-component': isScroll ? 'ScrollLink' : 'Link',
    className: (0, _classnames2.default)('link', className, theme.root),
    to: to
  }, props);

  if (!isScroll) return _react2.default.createElement(
    BaseLink,
    linkProps,
    children
  );
  return _react2.default.createElement(
    _reactScroll.Link,
    linkProps,
    children
  );
};

Link.defaultProps = {
  children: null,
  isScroll: false,
  className: undefined
};

exports.default = (0, _reactCssThemr.themr)('Link', {}, { composeTheme: 'softly' })(Link);