'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCssThemr = require('react-css-themr');

var _reactForm = require('react-form');

var _TextInput = require('../TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  header: '',
  input: 'input-reset outline-0',
  submit: ''
};

var OptIn = function OptIn(_ref) {
  var _ref$data = _ref.data;
  _ref$data = _ref$data === undefined ? {} : _ref$data;
  var _ref$data$callToActio = _ref$data.callToAction,
      callToAction = _ref$data$callToActio === undefined ? 'Subscribe Now' : _ref$data$callToActio,
      _ref$requireName = _ref.requireName,
      requireName = _ref$requireName === undefined ? false : _ref$requireName,
      nameLabel = _ref.nameLabel,
      emailLabel = _ref.emailLabel,
      phoneLabel = _ref.phoneLabel,
      onSubmit = _ref.onSubmit,
      showErrors = _ref.showErrors,
      _onValidationFail = _ref.onValidationFail,
      className = _ref.className,
      theme = _ref.theme;

  var inputTheme = {
    root: theme.inputWrapper,
    icon: theme.icon,
    input: theme.input
  };
  return _react2.default.createElement(
    _reactForm.Form,
    {
      'data-component': 'OptIn',
      onSubmit: onSubmit,
      onValidationFail: function onValidationFail() {
        return _onValidationFail && _onValidationFail.apply(undefined, arguments);
      },
      validate: function validate(_ref2) {
        var name = _ref2.name,
            email = _ref2.email,
            phone = _ref2.phone;

        var errors = {
          email: !email ? 'Email is required' : undefined,
          phone: !phone ? 'Phone is required' : undefined,
          name: undefined
        };
        if (requireName) {
          errors.name = !name ? 'Name is required' : undefined;
        }
        return errors;
      }
    },
    function (_ref3) {
      var submitForm = _ref3.submitForm,
          getError = _ref3.getError;
      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(theme.root, className) },
        _react2.default.createElement(
          'form',
          {
            className: theme.form,
            onSubmit: submitForm
          },
          _react2.default.createElement(
            'div',
            { className: theme.body },
            requireName && _react2.default.createElement(_TextInput2.default, {
              icon: 'fa-user',
              className: (0, _classnames2.default)('flex-auto w-100', theme.input),
              field: 'name',
              placeholder: nameLabel,
              theme: inputTheme
            }),
            _react2.default.createElement(_TextInput2.default, {
              icon: 'fa-envelope-o',
              type: 'email',
              className: (0, _classnames2.default)('flex-auto w-100', theme.input),
              field: 'email',
              placeholder: emailLabel,
              theme: inputTheme
            }),
            _react2.default.createElement(_TextInput2.default, {
              icon: 'fa-phone',
              type: 'phone',
              className: (0, _classnames2.default)('flex-auto w-100', theme.input),
              field: 'phone',
              placeholder: phoneLabel,
              theme: inputTheme
            })
          ),
          _react2.default.createElement(
            'button',
            { className: theme.callToAction, type: 'submit' },
            callToAction
          )
        ),
        showErrors && _react2.default.createElement(
          'div',
          { className: theme.errorWrapper },
          (requireName ? ['name'] : []).concat(['email', 'phone']).map(function (item) {
            return _react2.default.createElement(
              'div',
              {
                key: item,
                className: theme.error
              },
              getError(item)
            );
          })
        )
      );
    }
  );
};

OptIn.defaultProps = {
  className: null,
  nameLabel: 'Name',
  emailLabel: 'Email',
  phoneLabel: 'Phone',
  descriptionLabel: 'Description',
  submitLabel: 'Submit',
  onValidationFail: null,
  requireName: false,
  showErrors: false
};

exports.default = (0, _reactCssThemr.themr)('OptIn', {}, { composeTheme: 'softly' })(OptIn);