'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

var _reactProgressiveImage = require('react-progressive-image');

var _reactProgressiveImage2 = _interopRequireDefault(_reactProgressiveImage);

var _reactCssThemr = require('react-css-themr');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: ''
};

var PostCard = function PostCard(_ref) {
  var item = _ref.item,
      _ref$readMoreText = _ref.readMoreText,
      readMoreText = _ref$readMoreText === undefined ? 'Read more' : _ref$readMoreText,
      theme = _ref.theme,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('flex flex-column', theme.root, className) },
    _react2.default.createElement(
      'div',
      { className: theme.imageWrapper },
      _react2.default.createElement(
        _reactProgressiveImage2.default,
        { src: item.image, placeholder: item.smallImage },
        function (src) {
          return _react2.default.createElement('img', { className: theme.image, src: src, alt: item.title });
        }
      )
    ),
    _react2.default.createElement(
      'div',
      { className: theme.metaWrapper },
      _react2.default.createElement(
        'div',
        { className: theme.meta },
        _react2.default.createElement(
          'div',
          { className: theme.category },
          _react2.default.createElement(
            _Link2.default,
            { to: item.category.slug },
            item.category.name
          )
        ),
        _react2.default.createElement(
          'span',
          { className: theme.metaSeparator },
          '-'
        ),
        _react2.default.createElement(
          'div',
          { className: theme.date },
          item.date
        )
      )
    ),
    _react2.default.createElement(
      'div',
      { className: theme.titleWrapper },
      _react2.default.createElement(
        _Link2.default,
        { className: theme.title, to: item.slug },
        item.title
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'flex justify-center' },
      _react2.default.createElement('div', { className: 'flex-auto' }),
      _react2.default.createElement('hr', { className: (0, _classnames2.default)('flex-none', theme.hr) }),
      _react2.default.createElement('div', { className: 'flex-auto' })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.descriptionWrapper },
      _react2.default.createElement(
        'div',
        { className: theme.description },
        item.description
      )
    ),
    _react2.default.createElement(
      'div',
      { className: theme.readMoreWrapper },
      _react2.default.createElement(
        _Link2.default,
        { className: theme.readMore, to: item.slug },
        readMoreText
      )
    )
  );
};

PostCard.defaultProps = {
  className: undefined,
  readMoreText: 'Read More'
};

exports.default = (0, _reactCssThemr.themr)('PostCard', {}, { composeTheme: 'softly' })(PostCard);